LINUX.ORG.RU

Старая версия ядра


0

0

Добрый день. посоветуйте пожалуйста...

Есть программа на чистом Сю визуализация сделана в nCourses. Собрал ее в SlickEdit 11. в настройках компилятора указал ключ -static. Использую дистрибутив Linux FedoraCore 5. ядро сотавлено какое было 2.6.15

т.е. как я понимаю, она собралась в статическом режиме и в теории не должна тревожить никаких библиотек.

но при запуске на других машинах возникает ошибка "слишком старая версия ядра".

что делать в таком случае? может у кого была такая проблемма и как вы это решили?

Буду очень благодарен за совет

anonymous

Re: Старая версия ядра

А на других машинах какое ядро ? Просто новая libc из федоры вроде не работает со старыми ядрами.

xnix ★★ ()
Ответ на: Re: Старая версия ядра от anonymous

Re: Старая версия ядра

linux-gate.so.1 => (0x003c8000) libncurses.so.5 => /usr/lib/libncurses.so.5 (0x001c5000) libc.so.6 => /lib/libc.so.6 (0x009f1000) libdl.so.2 => /lib/libdl.so.2 (0x00b4d000) /lib/ld-linux.so.2 (0x009d4000)

Version information: ./sb_pilot: libc.so.6 (GLIBC_2.1) => /lib/libc.so.6 libc.so.6 (GLIBC_2.2.3) => /lib/libc.so.6 libc.so.6 (GLIBC_2.0) => /lib/libc.so.6 /usr/lib/libncurses.so.5: libdl.so.2 (GLIBC_2.1) => /lib/libdl.so.2 libdl.so.2 (GLIBC_2.0) => /lib/libdl.so.2 libc.so.6 (GLIBC_2.3) => /lib/libc.so.6 libc.so.6 (GLIBC_2.1.3) => /lib/libc.so.6 libc.so.6 (GLIBC_2.4) => /lib/libc.so.6 libc.so.6 (GLIBC_2.2) => /lib/libc.so.6 libc.so.6 (GLIBC_2.1) => /lib/libc.so.6 libc.so.6 (GLIBC_2.3.4) => /lib/libc.so.6 libc.so.6 (GLIBC_2.0) => /lib/libc.so.6 /lib/libc.so.6: ld-linux.so.2 (GLIBC_2.1) => /lib/ld-linux.so.2 ld-linux.so.2 (GLIBC_2.3) => /lib/ld-linux.so.2 ld-linux.so.2 (GLIBC_PRIVATE) => /lib/ld-linux.so.2 /lib/libdl.so.2: libc.so.6 (GLIBC_2.1.3) => /lib/libc.so.6 libc.so.6 (GLIBC_2.1) => /lib/libc.so.6 libc.so.6 (GLIBC_2.0) => /lib/libc.so.6 libc.so.6 (GLIBC_PRIVATE) => /lib/libc.so.6 ld-linux.so.2 (GLIBC_PRIVATE) => /lib/ld-linux.so.2

anonymous ()
Ответ на: Re: Старая версия ядра от Reset

Re: Старая версия ядра

Собиралась... это для динамически собранной программа. как я понимаю, это список библиотек которах она тревожит?

anonymous ()
Ответ на: Re: Старая версия ядра от anonymous

Re: Старая версия ядра

Библиотеки используют сервисы посредством системных вызовов, могу предположить что старые ядра имеют формат (возможно косвенно) не совместимый с новыми ядрами

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.